import { useI18n } from '../../../i18n';
import { FcrIconType } from '../../icon/type';
import { FrcTooltipButton } from '../../tooltips-button';
import { jsx as _jsx } from "react/jsx-runtime";
export var MeetingSecurity = function MeetingSecurity(_ref) {
  var onTooltipButtonClick = _ref.onTooltipButtonClick;
  var t = useI18n();
  return /*#__PURE__*/_jsx("div", {
    className: "share-action-nav__button share-action-nav__not-draggable share-action-nav__single-button",
    children: /*#__PURE__*/_jsx(FrcTooltipButton, {
      tooltip: {
        content: t('fmt_screenshare_controlbar_button_security'),
        icon: {
          type: FcrIconType.FCR_SECURITY,
          size: 32,
          colors: {
            iconPrimary: 'var(--fcr_web_ui_scene_mainicon1)'
          }
        }
      },
      withPopover: false
    })
  });
};